<dialog
  class="message-dialog"
  #dialogMessage
  [ngClass]="{ show: dialogType, hide: !dialogType }"
>
  <ng-container [ngSwitch]="dialogType">
    <app-success-message *ngSwitchCase="'success'"></app-success-message>
    <app-error-message *ngSwitchCase="'error'"></app-error-message>
  </ng-container>
</dialog>
